incubator-flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dave Fisher <dave2w...@comcast.net>
Subject Re: [MENTORS] Binary Files
Date Thu, 31 May 2012 22:12:12 GMT


Sent from my iPhone

On May 31, 2012, at 9:14 AM, Carol Frampton <cframpto@adobe.com> wrote:

> 
> 
> On 5/31/12 5 :04AM, "Bertrand Delacretaz" <bdelacretaz@apache.org> wrote:
> 
>> 
>>> ...Yet in the Batik and Velocity source distributions there is a folder
>>> of JAR files and
>>> I don¹t see any option to build those JARs from source.  Other notes
>>> indicate that
>>> downstream releases should build from sources of upstream releases.
>>> Again
>>> Batik and Velocity don¹t seem to be doing this....
> 
> Sorry to keep asking the same question but I don't think I've gotten an
> answer yet.  We just forked velocity/batik from their source kits.  Their
> source kits contains lots of dependent jars.  Can we leave the
> velocity/batik structure as is in our source kit, including those jars, or
> do we have to "fix" them by removing all their dependent jars and download
> them as part of our build?  It seems sort of silly to have their source
> but then have to download their source kit to extract those jars.
> 
>> 
>>> ...C. Can our source release build script leverage JARs or must it build
>>> everything from sources?...
>> 
>> Most Apache projects written in Java use Maven builds, which by
>> default get their dependencies from a central repository that we do
>> not control. But users can relatively easily replace that with their
>> own repository, and in theory they can build all dependencies
>> themselves before adding them to their local repository.
>> 
>> Having a similar setup for Flex would be ok IMO: download binaries
>> from trusted sources by default, but allow people to supply their own
>> binaries if they want.
> 
> If even the binary kit can't contain dependent jars that means that you
> can't run Flex "out of the box".  With our current setup it means you'd
> have to have ant installed and run a target to download the dependent
> jars.  Do you know of another Apache project that has to do this so I can
> take a look at it?

Apache POI requires ant to be preinstalled.

Regards,
Dave


> 
> Carol
> 

Mime
View raw message